MWAWTextListenerInternal::DocumentState Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
MWAWTextListenerInternal::DocumentState Struct Reference

a class to store the document state of a MWAWTextListener More...

## Public Member Functions
| DocumentState (std::vector< MWAWPageSpan > const &pageList)
| constructor More...
| ~DocumentState ()
| destructor More...

## Public Attributes
std::vector< MWAWPageSpan > | m_pageList
| the pages definition More...
MWAWPageSpan | m_pageSpan
| the current page span More...
librevenge::RVNGPropertyList | m_metaData
| the document meta data More...
int | m_footNoteNumber
| footnote number More...
int | m_endNoteNumber
| endnote number More...
int | m_smallPictureNumber
| number of small picture More...
bool | m_isDocumentStarted
| a flag to know if the document is open More...
bool | m_isHeaderFooterStarted
| a flag to know if the header footer is started More...
std::vector< int > | m_sentListMarkers
| the list of marker corresponding to sent list More...
std::vector< MWAWSubDocumentPtr > | m_subDocuments

## Private Member Functions
| DocumentState (const DocumentState &)=delete
| list of document actually open More...
DocumentState & | operator= (const DocumentState &)=delete

## Detailed Description

a class to store the document state of a MWAWTextListener

## Constructor & Destructor Documentation

## ◆ DocumentState() [1/2]

MWAWTextListenerInternal::DocumentState::DocumentState | ( | std::vector< MWAWPageSpan > const & | pageList | ) |
| inlineexplicit

constructor

## ◆ ~DocumentState()

MWAWTextListenerInternal::DocumentState::~DocumentState | ( |  | ) |
| inline

destructor

## ◆ DocumentState() [2/2]

MWAWTextListenerInternal::DocumentState::DocumentState | ( | const DocumentState & |  | ) |
| privatedelete

list of document actually open

## Member Function Documentation

## ◆ operator=()

DocumentState& MWAWTextListenerInternal::DocumentState::operator= | ( | const DocumentState & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_endNoteNumber

int MWAWTextListenerInternal::DocumentState::m_endNoteNumber

endnote number

## ◆ m_footNoteNumber

int MWAWTextListenerInternal::DocumentState::m_footNoteNumber

footnote number

## ◆ m_isDocumentStarted

bool MWAWTextListenerInternal::DocumentState::m_isDocumentStarted

a flag to know if the document is open

## ◆ m_isHeaderFooterStarted

bool MWAWTextListenerInternal::DocumentState::m_isHeaderFooterStarted

a flag to know if the header footer is started

## ◆ m_metaData

librevenge::RVNGPropertyList MWAWTextListenerInternal::DocumentState::m_metaData

the document meta data

## ◆ m_pageList

std::vector<MWAWPageSpan> MWAWTextListenerInternal::DocumentState::m_pageList

the pages definition

## ◆ m_pageSpan

MWAWPageSpan MWAWTextListenerInternal::DocumentState::m_pageSpan

the current page span

## ◆ m_sentListMarkers

std::vector<int> MWAWTextListenerInternal::DocumentState::m_sentListMarkers

the list of marker corresponding to sent list

## ◆ m_smallPictureNumber

int MWAWTextListenerInternal::DocumentState::m_smallPictureNumber

number of small picture

## ◆ m_subDocuments

std::vector<MWAWSubDocumentPtr> MWAWTextListenerInternal::DocumentState::m_subDocuments

The documentation for this struct was generated from the following file:

- MWAWTextListener.cxx